import filecmp
import subprocess
import os
from time import sleep
from server import weather_run
from pathlib import Path


def install(parsed) -> None:
    args = parsed.parse_args()
    if args.install:
        projectDir = Path(__file__).resolve().parent.parent
        homeDir = os.getenv("HOME")
        serviceDirExist = os.path.isdir(homeDir + "/.config/systemd/user/")
        delivered = False

        if serviceDirExist:
            delivered = filecmp.cmp(
                os.path.join(projectDir, "services/wthrc.service"),
                homeDir + "/.config/systemd/user/wthrc.service",
                shallow=True,
            )

        if not delivered or not serviceDirExist:
            os.environ["DIR"] = projectDir
            subprocess.call(["sh", os.path.join(projectDir, "scripts/install.sh")])
        subprocess.call(["sh", os.path.join(projectDir, "scripts/runner.sh")])

        sleep(5)
    else:
        weather_run()
